## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-testing.common.database
Version:        2.0.3
Release:        %autorelease
Summary:        Utilities for testing.* packages

License:        Apache-2.0
URL:            https://github.com/tk0miya/testing.common.database
Source:         %{pypi_source testing.common.database}

# Support Callable in collections.abc
# https://github.com/tk0miya/testing.common.database/pull/25
Patch0:         %{url}/pull/25.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-testing.common.database
Summary:        %{summary}

%description -n python3-testing.common.database %{common_description}


%prep
%autosetup -n testing.common.database-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Note that testing is a namespace package; other packages in this namespace
# could co-own it, but in practice will most likely depend on this package.
# This is true of python-testing.postgresql and (if it packaged in the future)
# python-testing.mysqld.
%pyproject_save_files testing


%check
# Upstream has no (non-linter) tests.
%pyproject_check_import


%files -n python3-testing.common.database -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/testing.common.database-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-6
- Improved spec-file commentary

* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-4
- Update License to SPDX

* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-3
- Drop default argument -r from pyproject_buildrequires

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-2
- Backport to EPEL9

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.3-1
- Initial package (close RHBZ#2033828)
